module MetaMongo
  module Utils
    class << self;
      def to_class(string)
        begin
          return Object.const_get(string.to_s)
        rescue NameError
        end
      end

      def remove_class(string)
        return nil unless to_class(string)

        Object.send(:remove_const, string.to_sym)
      end

      def create_class(string)
        begin
          to_class(string) || Object.const_set(string.to_s, Class.new)
        rescue NameError
        end
      end
    end
  end
end
